Subject: Re: bug#51838: [PATCH 00/11] guix: node-build-system: Support compiling add-ons with node-gyp.

From: Pierre Langlois <[email-masked]>
Date: Tue, 23 Nov 2021 20:54:26 +0000

Hi Timothy,

Timothy Sample <[email-masked]> writes:

> Hi Philip,
>
> There are some really valuable changes in here, thanks!  I would like to
> start understanding and reviewing the changes so that we can get some of
> this good stuff merged in.  However, I have one question that I couldn’t
> answer from reading here or at <https://issues.guix.gnu.org/49946>: is
> there an agreement between you and Pierre that these patches are the
> “right” way to do native addons for Node.js.  More importantly, is the
> general plan that we merge these changes, and then Pierre rebases their
> Tree-sitter changes on top these?
>
> Pierre, maybe you could weigh in here?

The overall approach looks good to me, it's better than what I
originally proposed for sure :-).  That being said, I'm not very
familiar with the Node.js ecosystem so I don't know if it's necessarily
the right way, but I suspect the correct way for node isn't very Guix-y
so I'm not too worried about that.

It's on my TODO list to take another look at the patches as well :-),
then yes, I'm planning on rebasing my tree-sitter series on top.

> Sorry if I missed something.  I assume everything is OK, but I want to
> be sure before I start digging into the details of the patches –
> especially those first few more complicated ones.  :)

Thanks for taking a look!

Pierre